--- /dev/null	Tue Jun 16 09:31:02 2015
+++ new/build/gcc51/files/COPYING3.LIB	Tue Jun 16 09:31:03 2015
@@ -0,0 +1,165 @@
+		   GNU LESSER GENERAL PUBLIC LICENSE
+                       Version 3, 29 June 2007
+
+ Copyright (C) 2007 Free Software Foundation, Inc. <http://fsf.org/>
+ Everyone is permitted to copy and distribute verbatim copies
+ of this license document, but changing it is not allowed.
+
+
+  This version of the GNU Lesser General Public License incorporates
+the terms and conditions of version 3 of the GNU General Public
+License, supplemented by the additional permissions listed below.
+
+  0. Additional Definitions. 
+
+  As used herein, "this License" refers to version 3 of the GNU Lesser
+General Public License, and the "GNU GPL" refers to version 3 of the GNU
+General Public License.
+
+  "The Library" refers to a covered work governed by this License,
+other than an Application or a Combined Work as defined below.
+
+  An "Application" is any work that makes use of an interface provided
+by the Library, but which is not otherwise based on the Library.
+Defining a subclass of a class defined by the Library is deemed a mode
+of using an interface provided by the Library.
+
+  A "Combined Work" is a work produced by combining or linking an
+Application with the Library.  The particular version of the Library
+with which the Combined Work was made is also called the "Linked
+Version".
+
+  The "Minimal Corresponding Source" for a Combined Work means the
+Corresponding Source for the Combined Work, excluding any source code
+for portions of the Combined Work that, considered in isolation, are
+based on the Application, and not on the Linked Version.
+
+  The "Corresponding Application Code" for a Combined Work means the
+object code and/or source code for the Application, including any data
+and utility programs needed for reproducing the Combined Work from the
+Application, but excluding the System Libraries of the Combined Work.
+
+  1. Exception to Section 3 of the GNU GPL.
+
+  You may convey a covered work under sections 3 and 4 of this License
+without being bound by section 3 of the GNU GPL.
+
+  2. Conveying Modified Versions.
+
+  If you modify a copy of the Library, and, in your modifications, a
+facility refers to a function or data to be supplied by an Application
+that uses the facility (other than as an argument passed when the
+facility is invoked), then you may convey a copy of the modified
+version:
+
+   a) under this License, provided that you make a good faith effort to
+   ensure that, in the event an Application does not supply the
+   function or data, the facility still operates, and performs
+   whatever part of its purpose remains meaningful, or
+
+   b) under the GNU GPL, with none of the additional permissions of
+   this License applicable to that copy.
+
+  3. Object Code Incorporating Material from Library Header Files.
+
+  The object code form of an Application may incorporate material from
+a header file that is part of the Library.  You may convey such object
+code under terms of your choice, provided that, if the incorporated
+material is not limited to numerical parameters, data structure
+layouts and accessors, or small macros, inline functions and templates
+(ten or fewer lines in length), you do both of the following:
+
+   a) Give prominent notice with each copy of the object code that the
+   Library is used in it and that the Library and its use are
+   covered by this License.
+
+   b) Accompany the object code with a copy of the GNU GPL and this license
+   document.
+
+  4. Combined Works.
+
+  You may convey a Combined Work under terms of your choice that,
+taken together, effectively do not restrict modification of the
+portions of the Library contained in the Combined Work and reverse
+engineering for debugging such modifications, if you also do each of
+the following:
+
+   a) Give prominent notice with each copy of the Combined Work that
+   the Library is used in it and that the Library and its use are
+   covered by this License.
+
+   b) Accompany the Combined Work with a copy of the GNU GPL and this license
+   document.
+
+   c) For a Combined Work that displays copyright notices during
+   execution, include the copyright notice for the Library among
+   these notices, as well as a reference directing the user to the
+   copies of the GNU GPL and this license document.
+
+   d) Do one of the following:
+
+       0) Convey the Minimal Corresponding Source under the terms of this
+       License, and the Corresponding Application Code in a form
+       suitable for, and under terms that permit, the user to
+       recombine or relink the Application with a modified version of
+       the Linked Version to produce a modified Combined Work, in the
+       manner specified by section 6 of the GNU GPL for conveying
+       Corresponding Source.
+
+       1) Use a suitable shared library mechanism for linking with the
+       Library.  A suitable mechanism is one that (a) uses at run time
+       a copy of the Library already present on the user's computer
+       system, and (b) will operate properly with a modified version
+       of the Library that is interface-compatible with the Linked
+       Version. 
+
+   e) Provide Installation Information, but only if you would otherwise
+   be required to provide such information under section 6 of the
+   GNU GPL, and only to the extent that such information is
+   necessary to install and execute a modified version of the
+   Combined Work produced by recombining or relinking the
+   Application with a modified version of the Linked Version. (If
+   you use option 4d0, the Installation Information must accompany
+   the Minimal Corresponding Source and Corresponding Application
+   Code. If you use option 4d1, you must provide the Installation
+   Information in the manner specified by section 6 of the GNU GPL
+   for conveying Corresponding Source.)
+
+  5. Combined Libraries.
+
+  You may place library facilities that are a work based on the
+Library side by side in a single library together with other library
+facilities that are not Applications and are not covered by this
+License, and convey such a combined library under terms of your
+choice, if you do both of the following:
+
+   a) Accompany the combined library with a copy of the same work based
+   on the Library, uncombined with any other library facilities,
+   conveyed under the terms of this License.
+
+   b) Give prominent notice with the combined library that part of it
+   is a work based on the Library, and explaining where to find the
+   accompanying uncombined form of the same work.
+
+  6. Revised Versions of the GNU Lesser General Public License.
+
+  The Free Software Foundation may publish revised and/or new versions
+of the GNU Lesser General Public License from time to time. Such new
+versions will be similar in spirit to the present version, but may
+differ in detail to address new problems or concerns.
+
+  Each version is given a distinguishing version number. If the
+Library as you received it specifies that a certain numbered version
+of the GNU Lesser General Public License "or any later version"
+applies to it, you have the option of following the terms and
+conditions either of that published version or of any later version
+published by the Free Software Foundation. If the Library as you
+received it does not specify a version number of the GNU Lesser
+General Public License, you may choose any version of the GNU Lesser
+General Public License ever published by the Free Software Foundation.
+
+  If the Library as you received it specifies that a proxy can decide
+whether future versions of the GNU Lesser General Public License shall
+apply, that proxy's public statement of acceptance of any version is
+permanent authorization for you to choose that version for the
+Library.
--- /dev/null	Tue Jun 16 09:31:02 2015
+++ new/build/gcc51/gcc.mog	Tue Jun 16 09:31:03 2015
@@ -0,0 +1,5 @@
+license COPYING license=GPLv2
+license COPYING.LIB license=LGPLv2.1
+license COPYING.RUNTIME license="GCC runtime license"
+license COPYING3 license=GPLv3
+license COPYING3.LIB license=LGPLv3
--- /dev/null	Tue Jun 16 09:31:03 2015
+++ new/build/gcc51/libgmp.mog	Tue Jun 16 09:31:03 2015
@@ -0,0 +1,2 @@
+license COPYING license=GPLv3
+license COPYING.LESSERv3 license=LGPLv3
--- /dev/null	Tue Jun 16 09:31:03 2015
+++ new/build/gcc51/libmpc.mog	Tue Jun 16 09:31:03 2015
@@ -0,0 +1,1 @@
+license files/COPYING.LIB license=LGPLv2.1
--- /dev/null	Tue Jun 16 09:31:03 2015
+++ new/build/gcc51/libmpfr.mog	Tue Jun 16 09:31:03 2015
@@ -0,0 +1,2 @@
+license COPYING license=GPLv3
+license COPYING.LESSER license=LGPLv3
--- /dev/null	Tue Jun 16 09:31:03 2015
+++ new/build/gcc51/patches/patch-libgo_runtime_proc.c	Tue Jun 16 09:31:03 2015
@@ -0,0 +1,17 @@
+$NetBSD: patch-libgo_runtime_proc.c,v 1.1 2013/04/02 09:57:52 jperkin Exp $
+
+SunOS libelf does not support largefile.
+
+--- gcc-4.7.2.orig/libgo/runtime/proc.c.orig	2012-07-26 01:57:22.000000000 +0000
++++ gcc-4.7.2/libgo/runtime/proc.c
+@@ -10,6 +10,10 @@
+ #include "config.h"
+ 
+ #ifdef HAVE_DL_ITERATE_PHDR
++#ifdef __sun
++#undef _FILE_OFFSET_BITS
++#define _FILE_OFFSET_BITS 32
++#endif
+ #include <link.h>
+ #endif
+ 
--- /dev/null	Tue Jun 16 09:31:03 2015
+++ new/build/gcc51/patches/series	Tue Jun 16 09:31:03 2015
@@ -0,0 +1,2 @@
+ld_eh_frame_hdr.patch
+patch-libgo_runtime_proc.c
--- /dev/null	Tue Jun 16 09:31:03 2015
+++ new/build/gcc51/runtime.mog	Tue Jun 16 09:31:03 2015
@@ -0,0 +1,3 @@
+license COPYING.LIB license=LGPLv2.1
+license COPYING.RUNTIME license="GCC runtime license"
+license COPYING3.LIB license=LGPLv3
--- old/build/glib/build.sh	Tue Jun 16 09:31:03 2015
+++ new/build/glib/build.sh	Tue Jun 16 09:31:03 2015
@@ -34,10 +34,13 @@
 DESC="$SUMMARY"
 
 DEPENDS_IPS="SUNWcs library/libffi@$FFIVERS library/zlib system/library
-	system/library/gcc-4-runtime runtime/perl"
+	system/library/gcc-5-runtime runtime/perl"
 
-CONFIGURE_OPTS="--disable-fam --disable-dtrace"
+# Use old gcc4 standards level for this.
+export CFLAGS="$CFLAGS -std=gnu89"
 
+CONFIGURE_OPTS="--disable-fam --disable-dtrace --with-threads=posix"
+
 save_function configure32 configure32_orig
 save_function configure64 configure64_orig
 configure32() {
--- old/build/groff/build.sh	Tue Jun 16 09:31:03 2015
+++ new/build/groff/build.sh	Tue Jun 16 09:31:03 2015
@@ -33,7 +33,7 @@
 SUMMARY="$PROG - GNU Troff typesetting package"
 DESC="$SUMMARY"
 
-DEPENDS_IPS="SUNWcs system/library/gcc-4-runtime system/library/g++-4-runtime
+DEPENDS_IPS="SUNWcs system/library/gcc-5-runtime system/library/g++-5-runtime
 	runtime/perl system/library/math system/library"
 
 BUILDARCH=32
--- old/build/isc-dhcp/build.sh	Tue Jun 16 09:31:03 2015
+++ new/build/isc-dhcp/build.sh	Tue Jun 16 09:31:03 2015
@@ -31,6 +31,9 @@
 # XXX 32-bit until Y2038 rears its ugly head.
 BUILDARCH=32
 
+# Use old gcc4 standards level for this.
+export CFLAGS="$CFLAGS -std=gnu89"
+
 CONFIGURE_OPTS="--enable-use-sockets --enable-ipv4-pktinfo --prefix=$PREFIX --bindir=$PREFIX/bin --sbindir=$PREFIX/sbin"
 
 pre_package() {
--- old/build/jeos/omnios-userland.p5m	Tue Jun 16 09:31:03 2015
+++ new/build/jeos/omnios-userland.p5m	Tue Jun 16 09:31:03 2015
@@ -21,10 +21,10 @@
 depend fmri=developer/gcc44/libgmp-gcc44@5.0.2,5.11-@PVER@ type=incorporate
 depend fmri=developer/gcc44/libmpc-gcc44@0.8.2,5.11-@PVER@ type=incorporate
 depend fmri=developer/gcc44/libmpfr-gcc44@3.1.0,5.11-@PVER@ type=incorporate
-depend fmri=developer/gcc48@4.8.1,5.11-@PVER@ type=incorporate
-depend fmri=developer/gcc48/libgmp-gcc48@5.0.5,5.11-@PVER@ type=incorporate
-depend fmri=developer/gcc48/libmpc-gcc48@1.0.1,5.11-@PVER@ type=incorporate
-depend fmri=developer/gcc48/libmpfr-gcc48@3.1.1,5.11-@PVER@ type=incorporate
+depend fmri=developer/gcc51@5.1,5.11-@PVER@ type=incorporate
+depend fmri=developer/gcc51/libgmp-gcc51@6.0.0,5.11-@PVER@ type=incorporate
+depend fmri=developer/gcc51/libmpc-gcc51@1.0.3,5.11-@PVER@ type=incorporate
+depend fmri=developer/gcc51/libmpfr-gcc51@3.1.2,5.11-@PVER@ type=incorporate
 depend fmri=developer/gnu-binutils@2.25,5.11-@PVER@ type=incorporate
 depend fmri=developer/lexer/flex@2.5.39,5.11-@PVER@ type=incorporate
 depend fmri=developer/macro/cpp@0.5.11,5.11-@PVER@ type=incorporate
@@ -109,6 +109,8 @@
 depend fmri=system/library/dbus@1.6.8,5.11-@PVER@ type=incorporate
 depend fmri=system/library/g++-4-runtime@4.8.1,5.11-@PVER@ type=incorporate
 depend fmri=system/library/gcc-4-runtime@4.8.1,5.11-@PVER@ type=incorporate
+depend fmri=system/library/g++-5-runtime@5.1,5.11-@PVER@ type=incorporate
+depend fmri=system/library/gcc-5-runtime@5.1,5.11-@PVER@ type=incorporate
 depend fmri=system/library/iconv/unicode@0.5.11,5.11-@PVER@ type=incorporate
 depend fmri=system/library/iconv/utf-8@0.5.11,5.11-@PVER@ type=incorporate
 depend fmri=system/library/iconv/utf-8/manual@0.5.11,5.11-@PVER@ type=incorporate
--- old/build/libidn/build.sh	Tue Jun 16 09:31:03 2015
+++ new/build/libidn/build.sh	Tue Jun 16 09:31:03 2015
@@ -34,7 +34,7 @@
 SUMMARY="The Internationalized Domains Library"
 DESC="IDN - The Internationalized Domains Library"
 
-DEPENDS_IPS="system/library system/library/gcc-4-runtime"
+DEPENDS_IPS="system/library system/library/gcc-5-runtime"
 
 CONFIGURE_OPTS="--disable-static"
 LIBTOOL_NOSTDLIB=libtool
--- old/build/libtool/build.sh	Tue Jun 16 09:31:03 2015
+++ new/build/libtool/build.sh	Tue Jun 16 09:31:03 2015
@@ -33,7 +33,7 @@
 SUMMARY="libtool - GNU libtool utility"
 DESC="GNU libtool - library support utility ($VER)"
 
-DEPENDS_IPS="system/library system/library/gcc-4-runtime"
+DEPENDS_IPS="system/library system/library/gcc-5-runtime"
 BUILD_DEPENDS_IPS="autoconf automake"
 
 # The "binaries" here are just shell scripts so arch doesn't matter
--- old/build/libxml2/build.sh	Tue Jun 16 09:31:03 2015
+++ new/build/libxml2/build.sh	Tue Jun 16 09:31:03 2015
@@ -33,7 +33,7 @@
 SUMMARY="$PROG - XML C parser and toolkit"
 DESC="$SUMMARY"
 
-DEPENDS_IPS="compress/xz@5.0 system/library/gcc-4-runtime library/zlib@1.2.8"
+DEPENDS_IPS="compress/xz@5.0 system/library/gcc-5-runtime library/zlib@1.2.8"
 BUILD_DEPENDS_IPS="$DEPENDS_IPS developer/sunstudio12.1"
 
 fix_python_install() {
--- old/build/mozilla-nss-nspr/build.sh	Tue Jun 16 09:31:03 2015
+++ new/build/mozilla-nss-nspr/build.sh	Tue Jun 16 09:31:03 2015
@@ -28,9 +28,9 @@
 . ../../lib/functions.sh
 
 PROG=nss
-VER=3.17.4
+VER=3.19
 # Include NSPR version since we're downloading a combined tarball.
-NSPRVER=4.10.7
+NSPRVER=4.10.8
 # But set BUILDDIR to just be the NSS version.
 BUILDDIR=$PROG-$VER
 VERHUMAN=$VER
@@ -53,6 +53,9 @@
 	libsoftokn3.so libssl3.so"
 NSPR_LIBS="libnspr4.so libplc4.so libplds4.so"
 
+# Use old gcc4 standards level for this.
+export OS_CFLAGS="-std=gnu89"
+
 # Variables that switch between NSS and NSPR
 TGT_LIBS=$NSS_LIBS
 PC_FILE=nss.pc
@@ -148,7 +151,7 @@
 DESC="$SUMMARY"
 make_package header-nss.mog
 
-DEPENDS_IPS="SUNWcs system/library/gcc-4-runtime system/library
+DEPENDS_IPS="SUNWcs system/library/gcc-5-runtime system/library
 	library/nspr database/sqlite-3"
 PKG=system/library/mozilla-nss
 SUMMARY="Network Security Services Libraries"
@@ -202,7 +205,7 @@
 DESC="$SUMMARY"
 make_package header-nspr.mog
 
-DEPENDS_IPS="SUNWcs system/library/gcc-4-runtime system/library"
+DEPENDS_IPS="SUNWcs system/library/gcc-5-runtime system/library"
 PKG=library/nspr
 SUMMARY="Netscape Portable Runtime"
 DESC="$SUMMARY"
--- old/build/ncurses/patches/series	Tue Jun 16 09:31:04 2015
+++ new/build/ncurses/patches/series	Tue Jun 16 09:31:04 2015
@@ -1,2 +1,3 @@
 configure.patch -p0
 remove-cfmakeflags.patch -p0
+gcc5.patch -p1
--- old/build/open-vm-tools/build.sh	Tue Jun 16 09:31:04 2015
+++ new/build/open-vm-tools/build.sh	Tue Jun 16 09:31:04 2015
@@ -37,7 +37,7 @@
 DESC="The Open Virtual Machine Tools project aims to provide a suite of open source virtualization utilities and drivers to improve the functionality and user experience of virtualization. The project currently runs in guest operating systems under the VMware hypervisor."
 
 BUILD_DEPENDS_IPS='developer/pkg-config'
-RUN_DEPENDS_IPS='library/glib2 system/library/gcc-4-runtime'
+RUN_DEPENDS_IPS='library/glib2 system/library/gcc-5-runtime'
 
 install_smf() {
 	logmsg "Installing SMF components"
@@ -47,7 +47,7 @@
 		logerr "--- Failed to copy manifest file"
 }
 
-CFLAGS="-Wno-deprecated-declarations -Wno-unused-local-typedefs"
+CFLAGS="-std=gnu89 -Wno-logical-not-parentheses -Wno-bool-compare -Wno-deprecated-declarations -Wno-unused-local-typedefs"
 CONFIGURE_OPTS="
 	--without-kernel-modules
 	--disable-static
--- old/build/openssh/build.sh	Tue Jun 16 09:31:04 2015
+++ new/build/openssh/build.sh	Tue Jun 16 09:31:04 2015
@@ -34,7 +34,7 @@
 SUMMARY="OpenSSH Client and utilities"
 DESC="OpenSSH Secure Shell protocol Client and associated Utilities"
 
-GLOBAL_DEPENDS="library/security/openssl@1.0.2 library/zlib@1.2 system/library system/library/g++-4-runtime@4.7.2"
+GLOBAL_DEPENDS="library/security/openssl@1.0.2 library/zlib@1.2 system/library system/library/g++-5-runtime"
 
 BUILDARCH=32
 # Since we're only building 32-bit, don't bother with isaexec subdirs
--- old/build/openssl/build.sh	Tue Jun 16 09:31:04 2015
+++ new/build/openssl/build.sh	Tue Jun 16 09:31:04 2015
@@ -34,7 +34,7 @@
 SUMMARY="$PROG - A toolkit for Secure Sockets Layer (SSL v2/v3) and Transport Layer (TLS v1) protocols and general purpose cryptographic library"
 DESC="$SUMMARY"
 
-DEPENDS_IPS="SUNWcs system/library system/library/gcc-4-runtime library/zlib@1.2.8"
+DEPENDS_IPS="SUNWcs system/library system/library/gcc-5-runtime library/zlib@1.2.8"
 BUILD_DEPENDS_IPS="$DEPENDS_IPS developer/sunstudio12.1"
 
 NO_PARALLEL_MAKE=1
--- old/build/p7zip/build.sh	Tue Jun 16 09:31:04 2015
+++ new/build/p7zip/build.sh	Tue Jun 16 09:31:04 2015
@@ -38,7 +38,7 @@
 BUILDDIR=${PROG}_${VER}
 BUILDARCH=32
 
-DEPENDS_IPS="system/library/g++-4-runtime system/library/gcc-4-runtime shell/bash"
+DEPENDS_IPS="system/library/g++-5-runtime system/library/gcc-5-runtime shell/bash"
 
 configure32() {
     DEST_HOME=$PREFIX
--- old/build/pcre/build.sh	Tue Jun 16 09:31:04 2015
+++ new/build/pcre/build.sh	Tue Jun 16 09:31:04 2015
@@ -34,8 +34,8 @@
 SUMMARY="Perl-Compatible Regular Expressions"
 DESC="PCRE - Perl-Compatible Regular Expressions"
 
-DEPENDS_IPS="library/readline compress/bzip2 library/zlib system/library/g++-4-runtime
-	system/library/gcc-4-runtime system/library system/library/math"
+DEPENDS_IPS="library/readline compress/bzip2 library/zlib system/library/g++-5-runtime
+	system/library/gcc-5-runtime system/library system/library/math"
 
 LIBTOOL_NOSTDLIB=libtool
 LIBTOOL_NOSTDLIB_EXTRAS=-lc
--- old/build/perl/build.sh	Tue Jun 16 09:31:04 2015
+++ new/build/perl/build.sh	Tue Jun 16 09:31:04 2015
@@ -175,7 +175,7 @@
 PKG=runtime/perl
 SUMMARY="Perl $VER Programming Language"
 DESC="$SUMMARY"
-DEPENDS_IPS="system/library/g++-4-runtime system/library/math system/library"
+DEPENDS_IPS="system/library/g++-5-runtime system/library/math system/library"
 make_package $TMPDIR/perl.mog
 
 PKG=runtime/perl/manual
--- old/build/pkg-config/build.sh	Tue Jun 16 09:31:04 2015
+++ new/build/pkg-config/build.sh	Tue Jun 16 09:31:04 2015
@@ -40,6 +40,9 @@
 
 CONFIGURE_OPTS="--with-internal-glib"
 
+# Use old gcc4 standards level for this.
+CFLAGS="$CFLAGS -std=gnu89"
+
 init
 download_source $PROG $PROG $VER
 prep_build
--- old/build/python26/build.sh	Tue Jun 16 09:31:04 2015
+++ new/build/python26/build.sh	Tue Jun 16 09:31:04 2015
@@ -37,7 +37,7 @@
 DESC="$SUMMARY"
 
 BUILD_DEPENDS_IPS="developer/build/autoconf"
-DEPENDS_IPS="system/library/gcc-4-runtime library/zlib library/libffi@$FFIVERS
+DEPENDS_IPS="system/library/gcc-5-runtime library/zlib library/libffi@$FFIVERS
 	library/readline database/sqlite-3 compress/bzip2 library/libxml2
 	library/ncurses library/security/openssl"
 
--- old/build/readline/build.sh	Tue Jun 16 09:31:04 2015
+++ new/build/readline/build.sh	Tue Jun 16 09:31:04 2015
@@ -34,7 +34,7 @@
 SUMMARY="GNU readline"
 DESC="GNU readline library ($VER)"
 
-DEPENDS_IPS="system/library system/library/gcc-4-runtime"
+DEPENDS_IPS="system/library system/library/gcc-5-runtime"
 
 CONFIGURE_OPTS="--disable-static"
 
--- old/build/sigcpp/build.sh	Tue Jun 16 09:31:04 2015
+++ new/build/sigcpp/build.sh	Tue Jun 16 09:31:04 2015
@@ -34,7 +34,7 @@
 SUMMARY="Libsigc++ - a library that implements typesafe callback system"
 DESC="$SUMMARY"
 
-DEPENDS_IPS="system/library system/library/math system/library/g++-4-runtime"
+DEPENDS_IPS="system/library system/library/math system/library/g++-5-runtime"
 
 MAKE=/bin/gmake
 export MAKE
--- old/build/sqlite3/build.sh	Tue Jun 16 09:31:05 2015
+++ new/build/sqlite3/build.sh	Tue Jun 16 09:31:05 2015
@@ -34,7 +34,7 @@
 SUMMARY="SQL database engine library"
 DESC="$SUMMARY"
 
-DEPENDS_IPS="SUNWcs library/readline system/library/gcc-4-runtime"
+DEPENDS_IPS="SUNWcs library/readline system/library/gcc-5-runtime"
 CONFIGURE_OPTS_64="$CONFIGURE_OPTS_64 --includedir=/usr/include"
 LIBTOOL_NOSTDLIB=libtool
 LIBTOOL_NOSTDLIB_EXTRAS=-lc
--- old/build/trousers/build.sh	Tue Jun 16 09:31:05 2015
+++ new/build/trousers/build.sh	Tue Jun 16 09:31:05 2015
@@ -35,7 +35,7 @@
 DESC="$SUMMARY ($VER)"
 
 BUILD_DEPENDS_IPS="developer/build/libtool developer/build/automake developer/build/autoconf developer/sunstudio12.1"
-DEPENDS_IPS="system/library/gcc-4-runtime library/security/openssl@1.0.2"
+DEPENDS_IPS="system/library/gcc-5-runtime library/security/openssl@1.0.2"
 
 LIBS="-lbsm -lnsl -lsocket -lgen -lscf -lresolv"
 
--- old/build/unixodbc/build.sh	Tue Jun 16 09:31:05 2015
+++ new/build/unixodbc/build.sh	Tue Jun 16 09:31:05 2015
@@ -34,7 +34,7 @@
 SUMMARY="The UnixODBC Subsystem and SDK"
 DESC="UnixODBC - The UnixODBC Subsystem and SDK ($VER)"
 
-DEPENDS_IPS="system/library system/library/math system/library/gcc-4-runtime"
+DEPENDS_IPS="system/library system/library/math system/library/gcc-5-runtime"
 
 CONFIGURE_OPTS="
     --includedir=$PREFIX/include/odbc
--- old/build/wget/build.sh	Tue Jun 16 09:31:05 2015
+++ new/build/wget/build.sh	Tue Jun 16 09:31:05 2015
@@ -39,6 +39,9 @@
 
 CONFIGURE_OPTS="--with-ssl=openssl --mandir=$PREFIX/share/man POD2MAN=/usr/perl5/5.16.1/bin/pod2man"
 
+# Use old gcc4 standards level for this.
+CFLAGS="$CFLAGS -std=gnu89"
+
 BUILDARCH=32
 
 make_sfw_links() {
--- old/build/zlib/build.sh	Tue Jun 16 09:31:05 2015
+++ new/build/zlib/build.sh	Tue Jun 16 09:31:05 2015
@@ -9,7 +9,7 @@
 SUMMARY="$PROG - A massively spiffy yet delicately unobtrusive compression library"
 DESC="$SUMMARY"
 
-DEPENDS_IPS="system/library/gcc-4-runtime"
+DEPENDS_IPS="system/library/gcc-5-runtime"
 BUILD_DEPENDS_IPS="$DEPENDS_IPS developer/sunstudio12.1"
 
 
--- old/lib/functions.sh	Tue Jun 16 09:31:05 2015
+++ new/lib/functions.sh	Tue Jun 16 09:31:05 2015
@@ -206,7 +206,7 @@
 LANG=C
 export LANG
 # Set the path - This can be overriden/extended in the build script
-PATH="/opt/gcc-4.8.1/bin:/usr/ccs/bin:/usr/bin:/usr/sbin:/usr/gnu/bin:/usr/sfw/bin"
+PATH="/opt/gcc-5.1.0/bin:/usr/ccs/bin:/usr/bin:/usr/sbin:/usr/gnu/bin:/usr/sfw/bin"
 export PATH
 # The dir where this file is located - used for sourcing further files
 MYDIR=$PWD/`dirname $BASH_SOURCE[0]`
@@ -231,7 +231,7 @@
 
 BasicRequirements(){
     local needed=""
-    [[ -x /opt/gcc-4.8.1/bin/gcc ]] || needed+=" developer/gcc48"
+    [[ -x /opt/gcc-5.1.0/bin/gcc ]] || needed+=" developer/gcc51"
     [[ -x /usr/bin/ar ]] || needed+=" developer/object-file"
     [[ -x /usr/bin/ld ]] || needed+=" developer/linker"
     [[ -f /usr/lib/crt1.o ]] || needed+=" developer/library/lint"
@@ -384,6 +384,16 @@
     logcmd autoconf || logerr "Failed to run autoconf"
     popd > /dev/null
 }
+
+#############################################################################
+# People that need this should call it explicitly
+#############################################################################
+run_automake() {
+    logmsg "Running automake"
+    pushd $TMPDIR/$BUILDDIR > /dev/null
+    logcmd automake || logerr "Failed to run automake"
+    popd > /dev/null
+}
 
 #############################################################################
 # Stuff that needs to be done/set before we start building
